Package com.sun.mirror.type

# Interface PrimitiveType

All Superinterfaces:
  `TypeMirror`

public interface PrimitiveType extends TypeMirror
Represents a primitive type. These include `boolean`, `byte`, `short`, `int`, `long`, `char`, `float`, and `double`.

Since:
  1.5
Version:
  1.1 04/01/26
Author:
  Joseph D. Darcy, Scott Seligman

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`PrimitiveType.Kind`
An enumeration of the different kinds of primitive types.

## Method Summary

Modifier and Type
Method
Description
`PrimitiveType.Kind`
`getKind()`
Returns the kind of primitive type that this object represents.

### Methods inherited from interface com.sun.mirror.type.TypeMirror

`accept, equals, toString`

## Method Details

### getKind

PrimitiveType.Kind getKind()
Returns the kind of primitive type that this object represents.

Returns:
  the kind of primitive type that this object represents